Loading...
Searching...
No Matches
anonymous_namespace{test_utils.hpp} Namespace Reference

## Classes

class | stack_balance_checker
| Ensures that the Lua stack maintains its original height upon exit. More...

## Functions

static lua_State * | raw (lutok::state &state)
| Gets the pointer to the internal lua_State of a state object.

## Function Documentation

## raw()

lua_State * anonymous_namespace{test_utils.hpp}::raw | ( | lutok::state & | state | ) |

inline static

Gets the pointer to the internal lua_State of a state object.

This is pure syntactic sugar to simplify typing in the test cases.

Parameters

  state | The Lua state.

Returns
  The internal lua_State of the input Lua state.